# 1203.py
pi = 3.141592653589793

print('\n#1: %s')
print('|%s|'%pi)
print('|%20s|'%pi) 
print('|%-20s|'%pi)         # left(-), width(20)

print('\n#2: %f, %e, %E')
print('|%f|'%pi)
print('|%e|'%pi)            # scientific notation(e, E)
print('|%.4f|'%pi)          # precision(4)
print('|%.4e|'%pi)
print('|%20.4f|'%pi)        # width(20)
print('|%-20.4f|'%pi)       # left(-)

#format_spec ::=[[fill]align][sign][#][0][width][,][.precision][type]
print('\n#3: str.format()')
print('|{:<.4}|'.format(pi))  
print('|{:<.4f}|'.format(pi))
print('|{:<.4e}|'.format(pi))
print('|{:<20.4f}|'.format(pi))  # left(<), width(20), precision(4)
print('|{:>20.4f}|'.format(pi))  # right(>)
print('|{:^20.4f}|'.format(pi))  # center(^)
print('|{:^+20.4f}|'.format(pi)) # sign(+), fill 0
print('|{:^020.4f}|'.format(pi)) # fill 0, width(20)
print('|{:*^20.4f}|'.format(pi)) # fill *, width(20)


print('\n#4: f-string')
print(f'|{pi:<.4}|')
print(f'|{pi:<.4f}|')
print(f'|{pi:<.4e}|')
print(f'|{pi:<20.4f}|')
print(f'|{pi:>20.4f}|')
print(f'|{pi:^20.4f}|')
print(f'|{pi:^+20.4f}|')
print(f'|{pi:^020.4f}|')
print(f'|{pi:*^20.4f}|')


