# 2604.py
#1
def read_data(file_name):
    data_list = []
    
    with open(file_name, 'r') as f:
        for line in f: # f.readlines()
            name, kor, eng, math = line.split()
            tmp = [ name, int(kor), int(eng), int(math)]
            data_list.append(tmp)
    return data_list
#2    
def calculateAvg(data_list):
    for item in data_list:
        name, kor, eng, math = item
        sumScore = kor + eng + math
        item.append(sumScore)
        item.append(sumScore/3)		
#3
def write_data(file_name, data_list):
    with open(file_name, 'w') as f:
        f.write('    name,     kor,    eng,    math,  sum,  avg\n')
        f.write('------------------------------------------------------\n')
        for item in data_list:
            s = ''
            for data in item:
                if isinstance(data, float):
                    s += f'{data:8.2f}'
                else:
                    s += f'{data:>8}'
            s += '\n'
            f.write(s)
#4
def main():
    std_list = read_data('data.txt') # './data.txt'
    print('std_list=', std_list)

    calculateAvg(std_list)
    print('std_list=', std_list)

    write_data('result.txt', std_list)
#5
main()

        
