# 3006.py
class Range:
    def __init__(self, n):
        self.n = n
 
    def __iter__(self):
        print('__iter__')
        self.i = 0
        return self
 
    def __next__(self):
        print('__next__')
 
        if self.i >= self.n:
            raise StopIteration
        
        i = self.i
        self.i += 1
        return i

a = Range(3)
it = iter(a)
print(next(it))
print(next(it))
print(next(it))
#print(next(it)) # StopIteration

print('list(a)=', list(a))
print('tuple(a)=', tuple(a))
