#3303.py
import time
from datetime import date, datetime, timedelta, timezone

#1
delta = timedelta(days=2, hours=10, minutes=1, seconds=1)
print('delta.total_seconds()=', delta.total_seconds())

#2
today    = date.today()  # date(2022, 2, 26)
today_plus_delta = today + delta
print('today =', today)
print('today_plus_delta =', today_plus_delta)
print('today<today_plus_delta =', today<today_plus_delta)

#3
now = datetime.now()
now_plus_delta = now + delta
print('now_plus_delta =', now_plus_delta)
print('now<now_plus_delta =', now<now_plus_delta)

#4
KST = timezone(timedelta(hours= 9)) # 한국
PST = timezone(timedelta(hours=-8)) # 미국서부, pacific time zone

now_kor = datetime.fromtimestamp(time.time()) # tz=KST, datetime.now()
now_LA  = datetime.fromtimestamp(time.time(), tz=PST) # datetime.now(tz=PST)
print('now_kor=', now_kor)
print('now_LA =', now_LA)
print('now_kor.astimezone(PST)=', now_kor.astimezone(PST))





 
