# 2307.py
from ordered_set import OrderedSet # pip install ordered-set
def create_char2dicts(text):
    #chars = set(text) # unique chars
    chars  = OrderedSet(text) # 순서 보장
    char2index= dict([(c, i) for i, c in enumerate(chars)])
    index2char= dict([(i, c) for i, c in enumerate(chars)])
    return char2index, index2char

text ="It's easy to learn and use Python."
char2index, index2char = create_char2dicts(text)
num_code = [char2index[c] for c in text] # encode 
print('num_code=', num_code)

decode_text = ''.join([index2char[n] for n in num_code]) #decode 
print('decode_text=', decode_text)
