# 3004.py
class Vec2:
    def __init__(self, x = 0, y = 0):
        self.x = x
        self.y = y
        
    def norm(self): # 벡터 크기
        return (self.x**2 + self.y**2)**0.5

    def __abs__(self): # abs() 
        #print('__abs__')
        return self.norm() 
    def __lt__(self, other):
        #print('__lt__')
        return self.norm() <  other.norm()
    def __gt__(self, other):
        #print('__gt__')
        return self.norm() >  other.norm()
    def __eq__(self, other):
        #print('__eq__')
        return self.norm() ==  other.norm()
    def __ne__(self, other):
        #print('__ne__')
        return self.norm() !=  other.norm()
    def __str__(self):            # 벡터 출력
        return f'Vec2({self.x}, {self.y})'

a = Vec2(1, 2)
b = Vec2(3, 4)
print('abs(a)=', abs(a))
print('abs(b)=', abs(b))
print(a < b)
print(a > b)
print(a == b)
print(a != b)


