# 3005.py

class RGB:
    def __init__(self, r=0, g=0, b=0):
        self.colors = {'red': r, 'green': g, 'blue': b}
    def __getitem__(self, name):
        return self.colors[name]
    def __setitem__(self, name, value):
        self.colors[name] = value
    def __str__(self):
        return 'RGB({}, {}, {})'.format(self.colors['red'],
                                        self.colors['green'],
                                        self.colors['blue'])

color = RGB(255, 128, 0)

print("color['red']=",  color['red'])
print("color['green']=",  color['green'])
print("color['blue']=",  color['blue'])


print('color=', color)
color['blue'] = 255
print('color=', color)


