#3602.py
# 현재폴더     : D:/python_example
# 현재폴더 파일: D:/python_example/3602.py
# 현재폴더 파일: D:/python_example/user.py      # import
# 하위폴더 파일: D:/python_example/lib/user.py  # import 

print('\n#1:')
print('__name__=', __name__)      # 모듈 이름
print('__file__=', __file__)      # 파일 이름

print('\n#2:')
import user              # ./user.py
print('user.fact(2)=', user.fact(2))
print('user.fact.__module__=', user.fact.__module__)

print('\n#3:')
from  user import fact   # fact() in ./user.py
print('fact(3)=', fact(3))
print('fact.__module__=', fact.__module__)

print('\n#4:')
import lib.user            # ./lib/user.py
print('lib.user.fact(4)=', lib.user.fact(4))
print('lib.user.fact.__module__=', lib.user.fact.__module__)

print('\n#5:')
from  lib.user import fact # fact() in ./lib/user.py
print('fact(5)=', fact(5))
print('fact.__module__=', fact.__module__)

print('\n#6:')
import importlib
importlib.reload(lib.user)
print('reloaded lib.user by importlib.reload!')

#from  lib.user import fact # fact() in ./lib/user.py
print('fact(6)=', fact(6))
print('fact.__module__=', fact.__module__)

